###################################################
### chunk number 1: 
###################################################
options(width=55)


###################################################
### chunk number 2: 
###################################################
rm(list=ls(all=TRUE))


###################################################
### chunk number 3: 
###################################################
library(prefmod)
library(gnm)


###################################################
### chunk number 4: 
###################################################
options(show.signif.stars=FALSE)


###################################################
### chunk number 5: 
###################################################
data(tennis)


###################################################
### chunk number 6: 
###################################################
tdat<-expand.mat(tennis[,-1],tennis[,1])


###################################################
### chunk number 7: 
###################################################
tdat<-data.frame(tdat)
attach(tdat)


###################################################
### chunk number 8: 
###################################################
tdat.design<-patt.design(tdat,nitems=3,
objname=c("B","J","C"),
resptype="paircomp",
cov.sel=c("SEX"),
blnIntcovs=TRUE)


###################################################
### chunk number 9: 
###################################################
tmbig<-gnm(y~B+J+C+ (B+J+C):SEX + I12.13+I12.23+I13.23 , eliminate=SEX,data=tdat.design,family=poisson)


###################################################
### chunk number 10: 
###################################################
tm2<-gnm(y~B+J+C+ (B+J+C):SEX , eliminate=SEX,data=tdat.design,family=poisson)


###################################################
### chunk number 11: 
###################################################
anova(tmbig,tm2)


###################################################
### chunk number 12: 
###################################################
tm1<-gnm(y~B+J+C+ I12.13+I12.23+I13.23, eliminate=SEX,data=tdat.design,family=poisson)


###################################################
### chunk number 13: 
###################################################
anova(tmbig,tm1)


###################################################
### chunk number 14: 
###################################################
summary(tmbig)


###################################################
### chunk number 15: 
###################################################
e_B<-c(-0.6121, (-0.6121+ 0.4984))
e_J<-c(-0.3451, (-0.3451 + 0.4460))
e_C<-c(0, 0)
emat<-rbind(e_B,e_J,e_C)
colnames(emat)<-c("male","female")
rownames(emat)<-c("B","J","C")
emat


###################################################
### chunk number 16: 
###################################################
male<-exp(2*emat[,1])/sum(exp(2*emat[,1]))
fem<-exp(2*emat[,2])/sum(exp(2*emat[,2]))
wm<-cbind(male,fem)
colnames(wm)<-c("male","female")
rownames(wm)<-c("B","J","C")
wm


###################################################
### chunk number 17: 
###################################################
mpc1<-pattPC.fit(tdat, nitems=3, formel=~SEX, elim=~SEX,ia=TRUE)


###################################################
### chunk number 18: 
###################################################
mpc1$coefficients


###################################################
### chunk number 19: 
###################################################
m1worth<-patt.worth(mpc1, obj.names=c("B","J","C"))  
#m1worth


###################################################
### chunk number 20: 
###################################################
m1worth


###################################################
### chunk number 21: 
###################################################
plotworth(m1worth, main="Pferenzen", ylab="estimated worth") 


###################################################
### chunk number 22: 
###################################################
plotworth(m1worth, main="Prferenzen", ylab="Geschtzte Worth-Parameter") 


###################################################
### chunk number 23: 
###################################################
detach(tdat)
rm(list=ls(all=TRUE))


###################################################
### chunk number 24: 
###################################################
options(width=80)


